package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel
@TableName(
   value = "drp_supplier_deliver",
   autoResultMap = true
)
public class DrpSupplierDeliver {
   private Long id;
   @ApiModelProperty("送货人id")
   private Long deliveryId;
   @ApiModelProperty("送货人名称")
   private String deliveryMan;
   @ApiModelProperty("送货人电话")
   @TableField(
      value = "delivery_phone"
   )
   private String deliveryPhone;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @TableField(value = "create_by",
           fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(value = "create_time",fill = FieldFill.INSERT )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(value = "update_by",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(value = "update_time",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("健康证有效期")
   private LocalDate healthValidity;
   @ApiModelProperty("健康证图片")
   private String healthImageUrl;

   public Long getId() {
      return this.id;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }


   public LocalDate getHealthValidity() {
      return this.healthValidity;
   }

   public String getHealthImageUrl() {
      return this.healthImageUrl;
   }

   public DrpSupplierDeliver setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpSupplierDeliver setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
      return this;
   }

   public DrpSupplierDeliver setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
      return this;
   }

   public DrpSupplierDeliver setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
      return this;
   }

   public DrpSupplierDeliver setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierDeliver setHealthValidity(final LocalDate healthValidity) {
      this.healthValidity = healthValidity;
      return this;
   }

   public DrpSupplierDeliver setHealthImageUrl(final String healthImageUrl) {
      this.healthImageUrl = healthImageUrl;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

   @Override
   public String toString() {
      return "DrpSupplierDeliver{" +
              "id=" + id +
              ", deliveryId=" + deliveryId +
              ", deliveryMan='" + deliveryMan + '\'' +
              ", deliveryPhone='" + deliveryPhone + '\'' +
              ", supplierId=" + supplierId +
              ", createBy='" + createBy + '\'' +
              ", createTime=" + createTime +
              ", updateBy='" + updateBy + '\'' +
              ", updateTime=" + updateTime +
              ", healthValidity=" + healthValidity +
              ", healthImageUrl='" + healthImageUrl + '\'' +
              '}';
   }
}
